Subject: bug#58558: 29.0.50; re-search-forward is slow in some buffers

From: Ihor Radchenko <[email-masked]>
Date: Wed, 14 Dec 2022 13:39:43 +0000

Eli Zaretskii <[email-masked]> writes:

>> Markers may or may not be a problem.
>
> What else could slow down buf_bytepos_to_charpos so much?  All it does
> is examine markers.

Well. I believe so. But I feel confused. So, I do not exclude other
reasons.

Note that I have little experience with gdb.

>> f they are, it is not necessarily related to markers created when I
>> run the benchmarks. May also be some markers created during the
>> Emacs session.
>
> Which means massive creation of markers could be the reason,
> regardless of what causes such massive creation.  Right?  But if so,
> why did you say that markers created by some timer(s) were not
> relevant?

Because those came from auto-revert-mode and are unlikely going to
contribute to the single Org buffer I have problems with.

> Btw, did you try to compare the number of buffer markers in Emacs 28
> and Emacs 29/30, under this scenario, when the search becomes slow
> enough?

How can I find the number of buffer markers?

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>